{% extends 'base.html' %}

{% block title %}
All the Movies
{% endblock %}

{% block main %}
    <ul>
        {% for movie in object_list %}
        <li>
            <a href="{% url 'core:MovieDetail' pk=movie.id %}">
                {{ movie }}
            </a>
        </li>
        {% endfor %}
    </ul>
    
    {% if is_paginated %}
    <nav>
        <ul class="pagination">
            <li class="page-item">
                <a href="{% url 'core:MovieList' %}?page=1" class="page-link">First</a>
            </li>
            {% if page_obj.has_previous %}
                <li class="page-item">
                    <a href="{% url 'core:Movielist' %}?page={{page_obj.previous_page_number}}" class="page-link">{{ page_obj.previous_page_number }}</a>
                </li>
            {% endif %}
            <li class="page-item active">
                <a href="{% url 'core:MovieLiest' %}?page={{ page_obj.number }}">{{ page_obj.number }}</a>
            </li>
            {% if page_obj.has_next %}
                <li class="page-item">
                    <a href="{% url 'core:Movielist' %}?page={{page_obj.previous_page_number}}" class="page-link">{{ page_obj.next_page_number }}</a>
                </li>
            {% endif %}
            <li class="page-item">
                <a href="{% url 'core:MovieList' %}?page=last" class="page-link">Last</a>
            </li>
        </ul>
    </nav>
    {% endif %}

{% endblock %}